Save billing details (admins)
curl --request PUT \
--url https://api.semicola.com/api/v2/billing/profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contact": "<string>",
"emails": [
"jsmith@example.com"
],
"address": {
"line1": "<string>",
"city": "<string>",
"postalCode": "<string>",
"country": "<string>",
"line2": "<string>",
"region": "<string>"
},
"taxId": "<string>"
}
'import requests
url = "https://api.semicola.com/api/v2/billing/profile"
payload = {
"contact": "<string>",
"emails": ["jsmith@example.com"],
"address": {
"line1": "<string>",
"city": "<string>",
"postalCode": "<string>",
"country": "<string>",
"line2": "<string>",
"region": "<string>"
},
"taxId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contact: '<string>',
emails: ['jsmith@example.com'],
address: {
line1: '<string>',
city: '<string>',
postalCode: '<string>',
country: '<string>',
line2: '<string>',
region: '<string>'
},
taxId: '<string>'
})
};
fetch('https://api.semicola.com/api/v2/billing/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"contact": "<string>",
"emails": [
"<string>"
],
"address": {
"line1": "<string>",
"city": "<string>",
"postalCode": "<string>",
"country": "<string>",
"line2": "<string>",
"region": "<string>"
},
"taxId": "<string>",
"posture": "PREPAY"
},
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": "<unknown>"
}
}Billing
Save billing details (admins)
deprecated
PUT
/
api
/
v2
/
billing
/
profile
Save billing details (admins)
Authorizations
bearerAuthsessionCookie
API key or OAuth access token.
Body
application/json
Required string length:
1 - 200Required array length:
1 - 20 elementsPattern:
^(?:[A-Za-z0-9_'+\-]+\.)*[A-Za-z0-9_'+\-]*[A-Za-z0-9_+-]@(?:[A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$Show child attributes
Show child attributes
Maximum string length:
50